print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceapfelbirne = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local apfelbirneHudFile = "Paletten/hud_fill_apfel.dds"
	local apfelbirneHudFileSmall = "Paletten/hud_fill_apfel_smal.dds"
	
    local apfelbirneFilType = g_fillTypeManager:addFillType("APFELBIRNE", g_i18n:getText("apfelbirne"), true, priceapfelbirne * 2.0, 0.00045, math.rad(10), apfelbirneHudFile, apfelbirneHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasapfelbirne=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasapfelbirne=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "APFELBIRNE" then
		hasapfelbirne=true
	end;
		
end;

		if hasmaize and not hasapfelbirne then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("APFELBIRNE")
		local price = g_fillTypeManager:getFillTypeByName("APFELBIRNE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("APFELBIRNE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)